<?php
require('../dbconnect.php');

session_start();

if (!empty($_POST)) {
	// エラー項目の確認
	if ($_POST['type'] == '') {
		$error['type'] = 'blank';
	}
	if ($_POST['title'] == '') {
		$error['title'] = 'blank';
	}
	if ($_POST['field'] == '') {
		$error['field'] = 'blank';
	}
	if ($_POST['keyword0'] == '') {
		$error['keyword0'] = 'blank';
	}
	if ($_POST['comment'] == '') {
		$error['comment'] = 'blank';
	}
	if (mb_strlen($_POST['comment'], 'UTF-8') > 400) {
		$error['comment'] = 'max';
	}
	if (isset($_POST['num'])) {
		$error['num'] = $_POST['num_collabo'];
		$_SESSION['addpaper']['num_collabo'] = $_POST['num_collabo'];
	}
	
	for ($i = 1; $i < $_POST['num_collabo'] + 1; $i++) {
	        $tmp_str0 = 'name_kanji'.$i.'_0';
	        $tmp_str1 = 'name_kanji'.$i.'_1';
		if ($_POST[$tmp_str0] == '' || $_POST[$tmp_str1] == '') $error[$tmp_str1] = 'blank';
	        $tmp_str0 = 'name_kana'.$i.'_0';
	        $tmp_str1 = 'name_kana'.$i.'_1';
		if ($_POST[$tmp_str0] == '' || $_POST[$tmp_str1] == '') $error[$tmp_str1] = 'blank';
		$tmp_str = 'email'.$i;
		if ($_POST[$tmp_str] == '') $error[$tmp_str] = 'blank';
		$tmp_str = 'organization'.$i;
		if ($_POST[$tmp_str] == '') $error[$tmp_str] = 'blank';
	}
	
	// check.phpへ受け渡し
	if (empty($error)) {
		$_SESSION['addpaper'] = $_POST;
		header('Location: check.php');
		exit();
	}
	

}

// 書き直し
if ($_REQUEST['action'] == 'rewrite') {
	$_POST = $_SESSION['addpaper'];
	$error['rewite'] = true;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" />
<link rel="stylesheet" type="text/css" href="../style.css" />
<title>JAEIS第8回全国大会 発表登録</title>
</head>

<body>
<div id="wrap">
<div id="head2">
<h1>JAEIS第8回全国大会 発表登録</h1>
</div>

<div id="content">
<p><a href="../">登録情報ページへ戻る</a><hr /></p>
<p>次のフォームに、発表に関する必要事項をご記入ください。</p>
<p>※講演論文集の原稿ファイルの提出は、発表登録完了後に可能になります。</p>
<hr />
<form action="" method="post" enctype="multipart/form-data">
	<dl>
	
	<dt>発表種別<span class="required">必須</span></dt>
	<dd>
        <input type="radio" name="type" value="0" 
	<?php if($_POST['type'] == '0') print('checked'); ?> />研究発表<br />
        <input type="radio" name="type" value="1" 
	<?php if($_POST['type'] == '1') print('checked'); ?> />デモンストレーション<br />
        <input type="radio" name="type" value="2" 
	<?php if($_POST['type'] == '2') print('checked'); ?> />ポスター発表<br />
        <?php if ($error['type'] == 'blank'): ?>
	<p class="error">* 発表種別を選択してください</p>
	<?php endif; ?>
	<hr />
	</dd>
        
	<dt>発表題目<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="title" size="70" maxlength="255" value="<?php echo htmlspecialchars($_POST['title'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['title'] == 'blank'): ?>
	<p class="error">* 発表題目を入力してください</p>
	<?php endif; ?>
	</dd>
        
	<dt>分野<span class="required">必須</span></dt>
	<dd>
        <input type="radio" name="field" value="0"<?php if($_POST['field'] == '0') print('checked'); ?> />カリキュラム・教材　
        <input type="radio" name="field" value="1"<?php if($_POST['field'] == '1') print('checked'); ?> />情報科の考察・評価　
        <input type="radio" name="field" value="2"<?php if($_POST['field'] == '2') print('checked'); ?> />教員養成<br />
        <input type="radio" name="field" value="3"<?php if($_POST['field'] == '3') print('checked'); ?> />社会と情報　
        <input type="radio" name="field" value="4"<?php if($_POST['field'] == '4') print('checked'); ?> />情報の科学　
        <input type="radio" name="field" value="5"<?php if($_POST['field'] == '5') print('checked'); ?> />プログラミング教育<br />
        <input type="radio" name="field" value="6"<?php if($_POST['field'] == '6') print('checked'); ?> />高大連携　
        <input type="radio" name="field" value="7"<?php if($_POST['field'] == '7') print('checked'); ?> />教育の情報化　
        <input type="radio" name="field" value="8"<?php if($_POST['field'] == '8') print('checked'); ?> />その他
        <?php if ($error['field'] == 'blank'): ?>
	<p class="error">* いずれかを選択してください</p>
	<?php endif; ?>
	</dd>

	<dt>キーワード（1つ以上3つ以内）<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="keyword0" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword0'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <input type="text" name="keyword1" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword1'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <input type="text" name="keyword2" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword2'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <?php if ($error['keyword0'] == 'blank'): ?>
	<p class="error">* キーワードは1つ以上入力してください</p>
	<?php endif; ?>
 	</dd>
       
	<dt>要旨（全角400字以内）<span class="required">必須</span></dt>
	<dd>
	<textarea name="comment" cols="80" rows="10"><?php echo htmlspecialchars($_POST['comment'], ENT_QUOTES, 'UTF-8'); ?></textarea>
        <?php if ($error['comment'] == 'blank'): ?>
	<p class="error">* 要旨を入力してください</p>
	<?php endif; ?>
        <?php if ($error['comment'] == 'max'): ?>
	<p class="error">* 要旨の文字数は400字以内でお願いします</p>
	<?php endif; ?>
	</dd>

	<dt>登壇者</dt>
	<dd>
	氏名（漢字）: 
	（姓）<?php echo htmlspecialchars($_SESSION['paper']['name_kanji0']); ?> 
	（名）<?php echo htmlspecialchars($_SESSION['paper']['name_kanji1']); ?><br />
	氏名（カナ）: 
	（姓）<?php echo htmlspecialchars($_SESSION['paper']['name_kana0']); ?>
	（名）<?php echo htmlspecialchars($_SESSION['paper']['name_kana1']); ?><br />
	所属機関名: <?php echo htmlspecialchars($_SESSION['paper']['organization']); ?><br />
	電子メール: <?php echo htmlspecialchars($_SESSION['paper']['email']); ?>
	<hr />
	</dd>

	<dt>共同研究者：
	<select name="num_collabo">
	<?php
	for($i = 0; $i < 10; $i++)
	{
	    print('<option value="'.$i.'"');
	    if($_POST['num_collabo'] == $i) print(' selected');
	    print('>'.$i.'</option>');
	}
	?>
	</select>名 
	<input type="submit" name="num" value="更新" />（人数を変更したら、更新ボタンをクリック）

	</dt>
        <dd>
	<?php
	if (isset($_POST['num_collabo'])) {
	    for ($i = 1; $i < $_POST['num_collabo'] + 1; $i++) {
	        print('<hr />');
		print('共同研究者'.$i.'<br />');
	        $tmp_name = 'name_kanji'.$i.'_0';
	        print('氏名（漢字）: （姓）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.htmlspecialchars($_POST[$tmp_name], ENT_QUOTES, 'UTF-8').'" />');
	        $tmp_name = 'name_kanji'.$i.'_1';
	        print(' （名）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.htmlspecialchars($_POST[$tmp_name], ENT_QUOTES, 'UTF-8').'" /><br />');
        	if ($error[$tmp_name] == 'blank') {
		    print('<p class="error">* 姓と名（漢字）を両方とも入力してください</p>');
		}

	        $tmp_name = 'name_kana'.$i.'_0';
		print('氏名（カナ）: （姓）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.htmlspecialchars($_POST[$tmp_name], ENT_QUOTES, 'UTF-8').'" />');
	        $tmp_name = 'name_kana'.$i.'_1';
	        print(' （名）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.htmlspecialchars($_POST[$tmp_name], ENT_QUOTES, 'UTF-8').'" /><br />');
        	if ($error[$tmp_name] == 'blank') {
		    print('<p class="error">* 姓と名（カナ）を両方とも入力してください</p>');
		}

		$tmp_name = 'organization'.$i;
		print('所属機関名: <input type="text" name="'.$tmp_name.'" size="40" maxlength="255" value="'.htmlspecialchars($_POST[$tmp_name], ENT_QUOTES, 'UTF-8').'" /><br />');
        	if ($error[$tmp_name] == 'blank') {
		    print('<p class="error">* 所属機関名を入力してください</p>');
		}
		$tmp_name = 'email'.$i;
		print('電子メール: <input type="text" name="'.$tmp_name.'" size="40" maxlength="255" value="'.htmlspecialchars($_POST[$tmp_name], ENT_QUOTES, 'UTF-8').'" /><br />');
        	if ($error[$tmp_name] == 'blank') {
		    print('<p class="error">* メールアドレスを入力してください</p>');
		}
	    }
	}
	?>
	</dd>

	<hr />
	</dd>

	</dl>
	<div><input type="submit" name="num2" value="入力内容を確認する" /></div>
</form>
</div>

<div id="foot">
<p>(C) 日本情報科教育学会第8回全国大会実行委員会</p>
</div>

</div>
</body>
</html>
